Subject: Re: bug#1598: Please add easy key bindings for outline-(minor-)mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Dec 2008 11:20:42 -0500

severity 1598 wishlist
thanks

> The default key bindings for outline-mode and outline-minor-mode are
> difficult to remember and slow to use. I think the main reason is that
> there are way too many different key-bindings to operate with outlining.

Have you tried org-mode?  It's a superset of outline-mode with a magic
TAB key to show/hide subparts.

Personally I use outline-minor-mode with reveal-mode, so that the
hiding/showing is done automatically as I move around the buffer.
Since the ESP communication is broken right now, it doesn't always do
quite what I want, but I like it.  YMMV.

So, I agree with you that outline-(minor-)mode's key bindings
aren't great.  This said, using M-next and such for a minor mode is
problematic (can interact with the underlying major mode), so such
bindings should at least depend on a user setting.

        Stefan